현재 온라인  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

매개변수

이름유형필수기본값설명
uniquePaymentSessionID string 예 — unique session id returned by /v1/account/set_start_incoming_payment_session
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$account_get_incoming_payment_session_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.Namestring 예
$.oneOf[0].allOf[1].Payload.MetaInformationarray 예
$.oneOf[0].allOf[1].Payload.MetaInformation[]string 아니요
$.oneOf[0].allOf[1].Payload.KeyValueListarray 예
$.oneOf[0].allOf[1].Payload.KeyValueList[]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] 예
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray 예
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string 아니요
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

매개변수

이름유형필수기본값설명
accountID string 예 — Account ID owned by the acting API user.
pageNumber int 아니요 0 Zero-based page number.
pageLength int 아니요 50 Number of ledger rows to return, capped at 200.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$account_get_ledger_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.Accountobject 예
$.oneOf[0].allOf[1].Payload.Account.Currencystring 예
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring 예
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring 예
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring 예
$.oneOf[0].allOf[1].Payload.Account.Namestring 예
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring 예
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledgerarray 예
$.oneOf[0].allOf[1].Payload.Ledger[]object 아니요
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring 예
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring 예
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring 예
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring 예
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID 예
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID 예
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID 예
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL 예
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction 예Stored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string 예
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] 예
$.oneOf[0].allOf[1].Payload.Pageobject 예
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger 예
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger 예
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber 예
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber 예
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer 예
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null 예
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean 예
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
기계가 읽을 수 있는 엔드포인트 문서
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

매개변수

이름유형필수기본값설명
searchFilter string 아니요 "" filter criteria
includeDepositAccount bool 아니요 false defines if deposit account should be return
pageSize int 아니요 50 Defines how many results will be return per request
pageNumber int 아니요 0 Defines which page should be returned
includeCorporateAccounts bool 아니요 false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool 아니요 false Admin-only flag to include hidden accounts owned by the inspected user.
요청 예제(cURL)
curl --get \
  'https://kr.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$account_get_list_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" 예
$.oneOf[0].allOf[1].Payload.ResponseBodyobject 예
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray 예
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string 아니요
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object 아니요
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray 예
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string 아니요
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
기계가 읽을 수 있는 엔드포인트 문서
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

매개변수

이름유형필수기본값설명
paymentType string 예 — Type of payment used
grossAmount int 예 — Amount that shall be received by the transaction
transactionReferenceID string 예 — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string 예 — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool 아니요 false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
요청 예제(cURL)
curl --request POST \
  'https://kr.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

반환값

JSON
See the shared response schema and synthetic example.
응답 필드
필드유형필수설명
$account_set_start_incoming_payment_session_Response 예
$.oneOf[0] 예
$.oneOf[0].allOf[0]object 예
$.oneOf[0].allOf[0].RequestUserAliasstring 예
$.oneOf[0].allOf[0].RequestPathstring | null 예
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" 예
$.oneOf[0].allOf[0].ResponseCodeinteger 예
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object 예
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring 아니요
$.oneOf[0].allOf[1]object 예
$.oneOf[0].allOf[1].Payloadobject 예
$.oneOf[0].allOf[1].Payload.Namestring 예
$.oneOf[0].allOf[1].Payload.MetaInformationarray 예
$.oneOf[0].allOf[1].Payload.MetaInformation[]string 아니요
$.oneOf[0].allOf[1].Payload.KeyValueListarray 예
$.oneOf[0].allOf[1].Payload.KeyValueList[]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger 예Integer value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue 아니요
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null 예
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] 예
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray 예
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string 아니요
$.oneOf[1]object 예
$.oneOf[1].RequestUserAliasstring 예
$.oneOf[1].RequestPathstring | null 예
$.oneOf[1].RequestStatus = "Failed" 예
$.oneOf[1].ResponseCodeinteger 예
$.oneOf[1].ResponseMessageAPIResponseMessage 예
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null 예
$.oneOf[1].ResponseMessage.oneOf[1]array 예
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage 아니요
$.oneOf[1].ResponseMessage.oneOf[2]object 예
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage 아니요
$.oneOf[1].RequestImpersonatedByUserAliasstring 아니요
응답 예제
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
기계가 읽을 수 있는 엔드포인트 문서